GLXQUERYCONTEXTINFOE(3G)

NAME
glXQueryContextInfoEXT - query context information

C SPECIFICATION

int glXQueryContextInfoEXT(Display * dpy, GLXContext ctx, int attribute, int * value);

PARAMETERS

dpy
    Specifies the connection to the X server.

ctx
    Specifies a GLX rendering context.

attribute
    Specifies that a context parameter should be retrieved. Must be one of GLX_SHARED_CONTEXT_EXT, GLX_VISUAL_ID_EXT, or GLX_SCREEN_EXT.

value
    Contains the return value for attribute.

DESCRIPTION

glXQueryContextInfoEXT sets value to the value of attribute with respect to ctx. glXQueryContextInfoEXT returns an error code if it fails for any reason. Otherwise, Success is returned.

attribute may be one of the following:

GLX_SHARED_CONTEXT_EXT
    Returns the XID of the share list context associated with ctx at its creation.

GLX_VISUAL_ID_EXT
    Returns the XID of the GLX Visual associated with ctx.

GLX_SCREEN_EXT
    Returns the screen number associated with ctx.

This call may cause a round-trip to the server.

glXQueryContextInfoEXT is part of the GLX_EXT_import_context extension, not part of the core GLX command set. If GLX_EXT_import_context is included in the string returned by glXQueryExtensionsString(), the extension is supported.

ERRORS

GLXBadContext is generated if ctx does not refer to a valid context.

GLX_BAD_ATTRIBUTE is returned if attribute is not a valid GLX context attribute.

fred GLX_BAD_CONTEXT is returned if attribute is not a valid context.

SEE ALSO

glXCreateContext(), glXQueryVersion(), glXQueryExtensionsString()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.